// recherche si identifiant saisie est bien dans la base de données des adhérents

/////////////////////////////////////////////////
// APPELS DES MODULES
/////////////////////////////////////////////////
const path = require("path");

/////////////////////////////////////////////////
// APPELS DES MODULES PERSOS
/////////////////////////////////////////////////
// loggings
const logger = require("../../public/js/app/logger");
// DB
const { connect_DB_promise } = require('../db/databaseconnect');

////////////////////////////////////////////////////
// FILE NAME
////////////////////////////////////////////////////
const filename = path.parse(__filename).base;

async function checkAdherent(sql) {
    try {
        const connection = await connect_DB_promise();
        const [results_checkAdherent] = await connection.execute(sql);
        await connection.end();
        
        logger.info("checkAdherent results_checkAdherent.length = " + results_checkAdherent.length, {label: filename});

        if (results_checkAdherent.length > 0) {
            logger.info("Est adhérent", {label: filename});
            return {
                found: true,
                results_checkAdherent: results_checkAdherent[0],
                error: false
            };
        } else {
            logger.info("N'est pas adhérent", {label: filename});
            return { found: false, error: false };
        }
    } catch (error) {
        // Echec de connection à la BD
        logger.error("Il y a un problème avec la connection à la base de données! : " + error, {label: filename});
        return { found: false, error: true };
    }
}

module.exports = { checkAdherent };